summaryrefslogtreecommitdiff
path: root/dev-python/BitVector
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-01 01:01:56 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-01 01:01:56 +0000
commit0215b8cb9a387b8c1fe67929b72c70d8f2a5e0e7 (patch)
tree0a64da0799e202f56180185d9d6d97771f68efd1 /dev-python/BitVector
parentfa9e005d54311c5ec165396e28fa08b775e685d5 (diff)
downloadbaldeagleos-repo-0215b8cb9a387b8c1fe67929b72c70d8f2a5e0e7.tar.gz
baldeagleos-repo-0215b8cb9a387b8c1fe67929b72c70d8f2a5e0e7.tar.xz
baldeagleos-repo-0215b8cb9a387b8c1fe67929b72c70d8f2a5e0e7.zip
Adding metadata
Diffstat (limited to 'dev-python/BitVector')
-rw-r--r--dev-python/BitVector/BitVector-3.5.0-r1.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/dev-python/BitVector/BitVector-3.5.0-r1.ebuild b/dev-python/BitVector/BitVector-3.5.0-r1.ebuild
new file mode 100644
index 000000000000..12fc2aecf08c
--- /dev/null
+++ b/dev-python/BitVector/BitVector-3.5.0-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pure-Python memory-efficient packed representation for bit arrays"
+HOMEPAGE="
+ https://engineering.purdue.edu/kak/dist/
+ https://pypi.org/project/BitVector/
+"
+SRC_URI="https://engineering.purdue.edu/kak/dist/${P}.tar.gz"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+python_test() {
+ "${EPYTHON}" TestBitVector/Test.py || die "Tests fail with ${EPYTHON}"
+}